/* Variáveis */
:root {
  --primaria: #c02271;
  --primariaSubtom: #bf7f9f;
  --secundaria: #7e4e8a;
  --c1: #ffffff;
  --c2: #fbfbfb;
  --c3: #e9e9e9;
  --c4: #bfbfbf;
  --c5: #777777;
  --c6: #3a3a3a;
  --c7: #292929;
  --c8: #000000;

  --swiper-navigation-size: 38px;
  --swiper-pagination-color: var(--primaria);
  --swiper-pagination-bullet-inactive-color: var(--c6);
}

/* Clean-CSS */
* {
  margin: 0;
  padding: 0;
  font-family: "Roboto";
  font-weight: 300;
  /* scroll-behavior: smooth; */
}

a {
  display: inline-block;
  text-decoration: none;
}

p {
  margin: 0;
  padding: 0;
}

ul,
ol {
  list-style: none;
}

p > span {
  font-weight: 400;
}

/* Import font */
@font-face {
  font-family: "photographsignature";
  src: url("../font/photographsignature.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

.branco {
  color: var(--c1);
}
.preto-titulo {
  color: var(--c7);
}

.preto-texto {
  color: var(--c6);
}
.primario {
  color: var(--primaria);
}

main {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding-inline: 40px;
}

.container-produtos {
  max-width: 1200px;
  margin: 0 auto;
  padding-inline: 20px;
}

.hamburguer-menu {
  display: none;
}

.navbar {
  background: var(--c1);
  padding: 20px;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: 9999;
  border-bottom: 2px solid var(--c3);
}

.overlay {
  background: rgba(0, 0, 0, 0.5);
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 10;
  display: none;
}

.navbar-position-fix {
  width: 100%;
  height: 100px;
}

.navbar-conteudo {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.navbar-logo-container,
.footer-logo-container {
  width: 90px;
  height: 60px;
}

.navbar-logo-container .navbar-logo,
.footer-logo.footer-logo-container {
  max-width: 100%;
  cursor: pointer;
}

.navbar-links {
  display: flex;
  gap: 40px;
}

.navbar-links a {
  text-transform: uppercase;
  color: var(--c7);
  font-weight: 500;
  transition: color 0.2s ease-in-out;
  display: block;
}

.navbar-links a:hover {
  color: #c02271;
}

.introducao {
  background: url("../img/introducao/Background.png");
  background-size: cover;
  background-position: center;
}

.introducao-conteudo {
  display: grid;
  justify-content: center;
  align-items: center;
  grid-template-columns: 1fr 1fr;
  min-height: 400px;
}

.introducao-conteudo-img {
  width: 100%;
  height: 500px;
}

.introducao-conteudo-img img {
  display: block;
  max-width: 100%;
  height: 100%;
}

.introducao-conteudo-texto {
  place-self: end;
  padding-bottom: 40px;
}

.titulo {
  font-family: "Roboto", sans-serif;
  font-size: 4rem;
  font-weight: 500;
  line-height: 3rem;
  margin-bottom: 60px;
}
.titulo > span {
  display: block;
  font-size: 7rem;
  font-family: "photographsignature";
}

.paragrafo-grande {
  font-size: 1.5rem;
  line-height: 2.3rem;
  max-width: 60ch;
}

.paragrafo-grande span {
  font-weight: 500;
}

.lista-botoes {
  padding-top: 20px;
  display: flex;
  gap: 20px;
}

.btn-branco,
.btn-primario,
.btn-outline {
  border: 0px;
  padding-inline: 10px;
  padding-block: 20px;
  width: 200px;
  text-transform: uppercase;
  font-weight: 500;
  border: 2px solid transparent;
}

.btn-branco {
  background: var(--c1);
  border-color: transparent;
  transition: all 0.1s ease-in-out;
}

.btn-branco > a {
  color: var(--primaria);
  font-weight: 600;
}

.btn-outline {
  background: transparent;
  border-color: white;
}

.btn-outline > a {
  color: var(--c1);
  font-weight: 600;
}

.btn-primario {
  background: var(--primaria);
  border-color: transparent;
}

.btn-primario > a {
  color: var(--c1);
  font-weight: 600;
}

.btn-branco:hover {
  background: var(--c3);
  transform: scale(1.02);
}
.btn-outline:hover {
  transform: scale(1.02);
}
.btn-primario:hover {
  background: #b51465;
  transform: scale(1.02);
}

.produtos {
  padding-block: 140px;
}

.produtos-carrousel {
  width: 100%;
}

.produtos-lista {
  padding-block: 80px;
}

.produtos-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
  user-select: none;
}

.produtos-item a {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.produtos-item-img {
  width: 120px;
  height: 120px;
  border-radius: 50%;
  display: flex;
  padding: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

#img-garrafa-termica {
  transform: translateX(6px);
}

.produtos-item-img.primaria {
  background: var(--primaria);
}
.produtos-item-img.secundaria {
  background: var(--secundaria);
}

.produtos-item-img img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.produtos-item-titulo,
.produtos-item-titulo > span {
  font-size: 1.2rem;
  color: var(--c6);
  font-weight: 500;
  line-height: 1.4rem;
  text-align: center;
}

.produtos-item-titulo > span {
  display: block;
}

.swiper-button-prev,
.swiper-button-next {
  color: var(--primaria);
  transform: translateY(50%);
}

.personalize {
  padding-block: 40px;
  background: var(--c3);
  box-shadow:
    inset 0 60px 0 var(--c1),
    inset 0 -60px 0 var(--secundaria);
}

.personalize-conteudo {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 80px;
}

.personalize-conteudo-texto {
  place-self: end;
  padding-bottom: 80px;
}

.slides-imagens {
  position: relative;
}

.slides-imagens img {
  max-width: 100%;
  height: 100%;
  object-fit: contain;
}

.slide-avancar {
  position: absolute;
  right: 20px;
  bottom: 20px;
  background: var(--c1);
  border: 1px solid transparent;
  height: 60px;
  width: 60px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.slide-avancar .icone-avancar {
  height: 20px;
  width: 30px;
}

.personalize-conteudo-texto p {
  padding-bottom: 20px;
}

.diferencial {
  padding-block: 140px;
  background: var(--secundaria);
}

.diferencial-conteudo {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 120px;
}

.diferencia-conteudo-vantagens {
  padding-bottom: 20px;
}

.vantagem-item {
  display: flex;
  align-items: center;
  flex: 1;
  gap: 12px;
  padding-block: 20px;
}

.vantagem-item span {
  font-size: 1.5rem;
  font-weight: 300;
  color: var(--c1);
}

.vantagem-item:not(:last-child) {
  border-bottom: 2px solid rgba(255, 255, 255, 0.5);
}

.testemunhos {
  padding-block: 140px;
  padding-inline: 200px;
}

.testemunhos-grid {
  display: grid;
  grid-template-columns: 1fr;
}

.testemunhos-conteudo {
  width: 100%;
  position: relative;
  place-self: center;
}

.testemunhos-conteudo img {
  max-width: 100%;
  height: 100%;
  object-fit: contain;
}

.testemunhos-conteudo .slide-avancar {
  background: var(--primaria);
  position: absolute;
}

.testemunhos-titulo {
  text-align: center;
  padding-bottom: 40px;
}

.perguntas-frequentes {
  padding-block: 140px;
  background: var(--c2);
}

.lista-perguntas {
  padding-top: 40px;
}

.pergunta {
  padding: 20px;
}

.pergunta:nth-child(even) {
  background: var(--c3);
}

.titulo-pergunta-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 8px;
}

.enunciado {
  display: flex;
  align-items: center;
  gap: 12px;
}

.bullet-point {
  width: 8px;
  height: 8px;
  background: var(--primaria);
  border-radius: 50%;
}

.titulo-pergunta {
  color: var(--c7);
  font-weight: 500;

  font-size: 1.125rem;
}

.resposta-pergunta {
  color: var(--c6);
  font-size: 1.125rem;
  line-height: 1.6876rem;
  max-width: 90ch;
  padding-left: 20px;
  display: none;
}

.resposta-pergunta.active {
  display: block;
}

.seta-pergunta {
  width: 14px;
  transition: transform 0.2s ease-in-out;
}

.seta-pergunta.active {
  transform: rotate(180deg);
}

.negrito,
.negrito a {
  font-weight: 500;
  color: var(--c6);
}

footer {
  background: var(--primaria);
  padding-block: 80px;
  flex: 1;
}

footer h1,
footer span {
  text-align: center;
  font-size: 3rem;
  color: var(--c1);
  font-weight: 600;
}

footer span {
  display: block;
}

.footer-conteudo {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 40px;
}

.footer-conteudo h1,
.footer-conteudo span {
  font-size: 3rem;
}

footer .separador {
  margin-block: 40px;
  height: 2px;
  width: 100%;
  background: #b61767;
}

.logo-redes-sociais {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.redes-sociais {
  display: flex;
  gap: 40px;
}

.redes-sociais img {
  cursor: pointer;
}

.produto {
  padding-block: 80px;
  background: url("../img/pagina-produto/bg.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: end;
}

.produto-grid {
  display: grid;
  grid-template-areas:
    "a c c"
    "b c c";
  justify-content: center;
  align-items: center;
  row-gap: 40px;
  column-gap: 80px;
  grid-template-rows: auto 800px;
}

.produto-intro {
  grid-area: a;
  place-self: start;
}

.produto-tecnico {
  place-items: start;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.produto-imagem {
  grid-area: c;
  width: 100%;
  max-width: 600px;
  place-self: start;
}
.produto-imagem img {
  max-width: 100%;
  height: 100%;
  object-fit: contain;
}

.lista-especificacoes-tecnicas {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.produto-tecnico-info {
  background: #f2f2f2;
  padding: 24px;
  max-width: 100%;
}

.produto-tecnico h3 {
  text-transform: uppercase;
  color: var(--c5);
  font-weight: 500;
  margin-bottom: 20px;
  font-size: 1.125rem;
}

.produto-tecnico {
  grid-area: b;
  place-self: start;
}

.titulo-especificacao .bullet-point {
  background: var(--primaria);
  width: 8px;
  height: 8px;
  border-radius: 100%;
}

.titulo-especificacao {
  display: flex;
  align-items: center;
  gap: 12px;
  margin-bottom: 4px;
}

.titulo-especificacao strong {
  font-size: 1.125rem;
  font-weight: 500;
}

.especificacao-conteudo {
  font-size: 1.125rem;
  line-height: 1.6876rem;
  margin-left: 20px;
  max-width: 50ch;
}

.sobre {
  padding-block: 140px;
  background: url("../img/pagina-produto/bg.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: end;
}

.sobre-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 80px;
}

.sobre-texto p {
  margin-bottom: 12px;
}

.sobre-imagem {
  width: 100%;
}

.sobre-imagem img {
  display: block;
  max-width: 100%;
  height: 100%;
}

.contato-info {
  padding-block: 140px;
}

.direitos {
  padding: 40px;
  display: flex;
  justify-content: center;
}

.direitos p {
  text-align: center;
}

@media screen and (max-width: 1320px) {
  .produto-grid {
    display: grid;
    grid-template-areas:
      "a a a"
      "c c c"
      "b b b";
    row-gap: 20px;
    align-items: center;
    place-items: center;
    grid-template-rows: auto auto auto;
  }
  .produto-imagem {
    width: auto;
    height: 500px;
    place-self: center;
  }
}

@media screen and (max-width: 1100px) {
  .titulo {
    font-size: 3rem;
    line-height: 2.5rem;
    margin-bottom: 40px;
  }
  .titulo > span {
    display: block;
    font-size: 5rem;
    font-family: "photographsignature";
  }

  .paragrafo-grande {
    font-size: 1.2rem;
    line-height: 1.8rem;
  }
  .produtos {
    padding-block: 80px;
  }
  .personalize {
    padding-block: 40px;
  }
  .personalize-conteudo-texto {
    place-self: end;
    padding-bottom: 40px;
  }
  .personalize-conteudo {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
  }
}

@media screen and (max-width: 980px) {
  .container {
    max-width: 600px;
    padding-inline: 20px;
  }

  .navbar-conteudo {
    flex-direction: column;
    gap: 60px;
    justify-items: start;
    align-items: start;
    position: relative;
  }

  .hamburguer-menu {
    display: block;
    font-size: 1.125rem;
    font-weight: 500;
    letter-spacing: 1px;
    color: #c02271;
    cursor: pointer;
  }

  .navbar-links {
    width: 100%;
    flex-direction: column;
    gap: 10px;
    display: none;
  }

  .navbar-links.active {
    display: block;
  }

  .overlay.active {
    display: block;
  }

  .navbar-links a {
    padding: 40px 20px;
  }

  .navbar-links a:hover {
    background: var(--c3);
  }

  .navbar-links li:not(:last-child) {
    border-bottom: 2px solid var(--c3);
  }

  .navbar-buttons {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .introducao {
    background: url("../img/introducao/Background2.png");
    background-size: cover;
    background-position: center;
    padding-block: 12px;
  }
  .introducao-conteudo-img {
    width: 60%;
    place-self: center;
    height: auto;
  }

  .introducao-conteudo {
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
  }
  .lista-botoes {
    padding-top: 20px;
    display: flex;
    flex-grow: 1;
    gap: 20px;
  }
  .introducao-conteudo-texto {
    place-self: start;
  }
  .btn-branco,
  .btn-outline,
  .btn-primario {
    width: 100%;
  }
  .personalize {
    padding-block: 80px;
    background: var(--c3);
    box-shadow: 0 0 0 0;
  }

  .personalize-conteudo {
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
  }
  .personalize-conteudo-texto {
    place-self: start;
  }

  .diferencial-conteudo {
    grid-template-columns: 1fr;
    gap: 40px;
  }

  .diferencial {
    padding-block: 80px;
  }

  .diferencial-conteudo-texto {
    grid-row: 1;
  }

  .vantagem-item span {
    font-size: 1.2rem;
  }

  .testemunhos {
    padding-block: 80px;
    padding-inline: 0px;
  }

  .testemunhos-conteudo {
    height: 100%;
  }
  .perguntas-frequentes {
    padding-block: 80px;
    background: var(--c2);
  }

  .produto {
    padding-top: 80px;
  }

  .produto-imagem {
    width: auto;
    height: 500px;
    place-self: center;
  }

  .navbar-logo-container,
  .footer-logo-container {
    width: 70px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .footer-logo {
    width: 70px;
    height: 60px;
  }

  .redes-sociais img {
    width: 40px;
    height: 50px;
  }
  .footer-conteudo h1,
  .footer-conteudo span {
    font-size: 2rem;
  }

  footer {
    padding-block: 40px;
  }

  .sobre {
    padding-block: 80px;
  }

  .sobre-grid {
    grid-template-columns: 1fr;
    gap: 40px;
  }
  :root {
    --swiper-navigation-size: 28px;
  }
  .bullet-point {
    display: none;
  }
}

@media screen and (max-width: 420px) {
  .lista-botoes {
    flex-direction: column;
    gap: 20px;
  }
  .introducao-conteudo {
    gap: 20px;
  }
  .btn-branco,
  .btn-primario,
  .btn-outline {
    font-size: 1rem;
  }
}
